core.testing / Simulation / BankFactory

# BankFactory

`inner class BankFactory : Factory`

### Constructors

<init> | `BankFactory()`

### Properties

counter | `var counter: Int`

### Functions

create | `fun create(dir: Path, config: NodeConfiguration, network: MockNetwork, networkMapAddr: NodeInfo?, advertisedServices: Set<ServiceType>, id: Int): MockNode`
createAll | `fun createAll(): List<SimulatedNode>`